mod utils;
use utils::{utils::*};


#[cfg(test)]
mod pull_tests {
    use super::*;

    #[test]
    fn simple_pull() {
        let (mut client, mut server) = init_test();

        let _ = server.add_file("file1", "foo");
        client.run_cmd_ok("pull");

        // tests
        assert!(client.has_file("file1", "foo"));

        clean_test(client, &mut server);
    }

    #[test]
    fn simple_pull_directory() {
        let (mut client, mut server) = init_test();

        let _ = server.add_dir("dir");
        let _ = server.add_file("dir/file1", "foo");

        client.run_cmd_ok("pull");

        // tests
        assert!(client.has_file("dir/file1", "foo"));

        clean_test(client, &mut server);
    }
}
