use rand::{distributions::Alphanumeric, Rng};
use super::client::ClientTest;
use super::server::ServerTest;

#[cfg(test)]
pub fn get_random_test_id() -> String {
    let mut id: String = rand::thread_rng()
        .sample_iter(&Alphanumeric)
        .take(7)
        .map(char::from)
        .collect();
    id.push_str("_nextsync");
    id.to_owned()
}

#[cfg(test)]
pub fn init_test() -> (ClientTest, ServerTest) {

    let id = get_random_test_id();
    let mut server = ServerTest::new(id.clone());
    server.init();
    let client = ClientTest::new(id).init();
    (client, server)
}

#[cfg(test)]
pub fn clean_test(client: ClientTest, server: &mut ServerTest) {
    client.clean();
    server.clean();
}

